searchNodes=[{"doc":"This plug ensures that a valid version was provided and has been verified on the request.If the version provided is not valid then the request will be halted and the module provied to handler will be called. From there the handler can decide how to finish the request.If a handler isn't provided Versionary.Plug.ErrorHandler.call/1 will be used as a default.Exampleplug Versionary.Plug.EnsureVersion, handler: SomeModule","ref":"Versionary.Plug.EnsureVersion.html","title":"Versionary.Plug.EnsureVersion","type":"module"},{"doc":"A default error handler that can be used for failed version verification.When called this handler will respond to the request with a 406 Not Acceptable HTTP status.","ref":"Versionary.Plug.ErrorHandler.html","title":"Versionary.Plug.ErrorHandler","type":"module"},{"doc":"Callback implementation for Versionary.Plug.Handler.call/1.","ref":"Versionary.Plug.ErrorHandler.html#call/1","title":"Versionary.Plug.ErrorHandler.call/1","type":"function"},{"doc":"Provides the ability to specify how to finish processing a request when version validation fails.Typically a handler will finish the request by responding with a 400 level HTTP status code. For example, Versionary.Plug.ErrorHandler responds to the request with a 406 status code and sets the body to Not Acceptable.To create your own handler override the call/1 function of this behavior. A Plug.Conn will be provided as the only argument.Keep in mind that Versionary.Plug.EnsureVersion will halt the request before calling a handler. Once a handler processes the error the plug request lifecycle will finish.Exampledefmodule MyAPI.MyErrorHandler do @behaviour Versionary.Plug.Handler def call(conn) do body = %{ error: %{ description: &quot;Not Acceptable&quot; } } conn |&gt; send_resp(406, Poison.encode!(body)) end end defmodule MyAPI.MyController do plug Versionary.Plug.VerifyHeader, versions: [&quot;application/vnd.app.v1+json&quot;] plug Versionary.Plug.EnsureVersion, handler: MyAPI.MyErrorHandler end","ref":"Versionary.Plug.Handler.html","title":"Versionary.Plug.Handler","type":"behaviour"},{"doc":"","ref":"Versionary.Plug.Handler.html#c:call/1","title":"Versionary.Plug.Handler.call/1","type":"callback"},{"doc":"Use this plug to verify a version string in the header.This plug will add a :version_verified private key to the conn. This value will be true if the version has been verified. Otherwise, it will be false.Note that this plug will only flag the conn as having a valid or invalid version. If you would like to halt the request and handle an invalid version please see Versionary.Plug.EnsureVersion.Options:versions - a list of strings representing valid versions. If at least one of the provided versions is valid then the request is considered valid.:accepts - a list of strings or atoms representing versions registered as MIME types. If at least one of the registered versions is valid then the request is considered valid.:header - the header used to provide the requested version (Default: `Accept`)Usageplug Versionary.Plug.VerifyHeader, versions: [&quot;application/vnd.app.v1+json&quot;]Multiple VersionsYou may pass multiple version strings to the :versions option. If at least one version matches the request will be considered valid.plug Versionary.Plug.VerifyHeader, versions: [&quot;application/vnd.app.v1+json&quot;, &quot;application/vnd.app.v2+json&quot;]MIME SupportIt's also possible to verify versions against configured MIME types. If multiple MIME types are passed and at least one matches the version will be considered valid.config :mime, :types, %{ &quot;application/vnd.app.v1+json&quot; =&gt; [:v1] }plug Versionary.Plug.VerifyHeader, accepts: [:v1]Please note that whenever you change media type configurations you must recompile the mime library.To force mime to recompile run mix deps.clean --build mime.Identifying VersionsWhen a version has been verified this plug will add :version and :raw_version private keys to the conn. These keys will contain version that has been verified.The :version key may contain either the string version provided by the request or, if configured, the MIME extension. The :raw_version key will always contain the string version provided by the request.","ref":"Versionary.Plug.VerifyHeader.html","title":"Versionary.Plug.VerifyHeader","type":"module"}]